Subject: Re: Latest ssh can not be spawned from expect.
From: Andrew Louder <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Mon, 23 Aug 2004 09:11:36 -0700 (PDT)

Igor,

   Thankyou for your reply.  Actually I am
running expect out of /usr/bin/expect, the comment
line in the shell script is ignored since I am not
relying on the shell script to be executable when
I run the script.  I have no other unix tools
installed
on my PC.
   I got the version numbers by running ssh -v and 
expect -v.

Andy
   
--- Igor Pechtchanski <[email-masked]> wrote:

> On Mon, 23 Aug 2004, Andrew Louder wrote:
> 
> > To whom it may concern:
> >  
> > My script works on a older cygwin software:
> > expect == 5.26
>             ^^^^
> > ssh == OpenSSH_3.6.1p2
> >  
> > My script fails on a current cygwin software:
> > expect == 5.26
>             ^^^^
> > ssh == OpenSSH_3.8.1p1
> > The symptons show that expect can not recognize
> the ssh output, so I 
> > will be prompted over and over again for the
> password.
> > 
> > Also note, if I ssh from the older installation to
> the current 
> > installation, then my script works again.  It
> appears the problem lives 
> > is term compatibility.
> >  
> > Andy
> > PS.  Here is my script and example successfull
> execution:
> > $ cat t.exp
> > #!/usr/local.bin/expect -f
>     ^^^^^^^^^^^^^^^^^^^^^
> > [snip]
> 
> Andy,
> 
> DISCLAIMER: I know nothing about expect, I don't use
> it, I don't even have 
> it installed.
> 
> However, even without having used expect, the
> underlined lines above look 
> suspicious.  According to
> <http://www.cygwin.com/packages/expect/>, the 
> latest version of the expect package for Cygwin is
> 20030128-1, *not* 5.26.  
> Also, according to the package listing of
> expect-20030128-1, the "expect" 
> program resides in /usr/bin, *not* /usr/local.bin...
>  Looks like you're 
> not using Cygwin's expect, and so your question is
> off-topic for this 
> list.  On the off chance that you *are* using the
> Cygwin expect package, 
> and just aren't reporting the versions and paths
> correctly, please review
> 
> > Problem reports:      
> http://cygwin.com/problems.html
> 
> and follow the guidelines, especially the bit about
> attaching the output 
> of "cygcheck -svr".
> 	Igor
> -- 
> 				http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_		[email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
>      |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski,
> Ph.D.
>     '---''(_/--'  `-'\_) fL	a.k.a
> JaguaR-R-R-r-r-r-.-.-.  Meow!
> 
> "Happiness lies in being privileged to work hard for
> long hours in doing
> whatever you think is worth doing."  -- Dr. Jubal
> Harshaw
> 

		
_______________________________
Do you Yahoo!?
Win 1 of 4,000 free domain names from Yahoo! Enter now.
http://promotions.yahoo.com/goldrush

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/